#ifndef _LAUNCHERBLOCK_
#define _LAUNCHERBLOCK_


#include "Block.hpp"


class LauncherBlock : public Block
{
public:
	LauncherBlock(Game* g, Entity* LaunchedEntity);

	void onHit() override;
private:
	///the entity that will be added to the scene manager, when this block is destroyed
	Entity* m_LaunchedEntity;
	
};
#endif // _LAUNCHERBLOCK_
